Package com.collibra.dgc.importer.api.request

# Class BaseImportRequest

Object
BaseImportRequest

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FileImportRequest`, `FileSynchronizationRequest`, `SynchronizationFinalizationRequest`

public class BaseImportRequest extends Object implements Serializable
The base properties for an import or a synchronization call.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `batchSize`
  The size of the batch.
  `protected static final int`
  `DEFAULT_BATCH_SIZE`
  `protected String`
  `requestSource`
  `protected boolean`
  `saveResult`
  Deprecated.
  This parameter is deprecated and will be removed in the future.
  `protected boolean`
  `sendNotification`
  Whether job status notification should be sent.
  `protected boolean`
  `simulation`
  Whether the import should be triggered as a simulation.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BaseImportRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `getBatchSize()`
  The size of the batch.
  `String`
  `getRequestSource()`
  `int`
  `hashCode()`
  `boolean`
  `isSaveResult()`
  Deprecated.
  This parameter is deprecated and will be removed in the future.
  `boolean`
  `isSendNotification()`
  Whether job status notification should be sent.
  `boolean`
  `isSimulation()`
  Whether the import should be triggered as a simulation.
  `void`
  `setBatchSize(int batchSize)`
  The size of the batch.
  `void`
  `setRequestSource(String requestSource)`
  `void`
  `setSaveResult(boolean saveResult)`
  Deprecated.
  This parameter is deprecated and will be removed in the future.
  `void`
  `setSendNotification(boolean sendNotification)`
  Whether job status notification should be sent.
  `void`
  `setSimulation(boolean simulation)`
  Whether the import should be triggered as a simulation.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_BATCH_SIZE

    protected static final int DEFAULT_BATCH_SIZE
    See Also:
      - Constant Field Values

  - ### sendNotification

    @DefaultValue("false") protected boolean sendNotification
    Whether job status notification should be sent. The default value is `false`.

  - ### batchSize

    @DefaultValue("1000") protected int batchSize
    The size of the batch. The default value is `1000`.

  - ### simulation

    @DefaultValue("false") protected boolean simulation
    Whether the import should be triggered as a simulation. The default value is `false`.

    If `true`, the result of the import simulation will be available at the end of the job but no change will be applied to the DGC.

  - ### saveResult

    @DefaultValue("false") protected boolean saveResult
    Deprecated.
    This parameter is deprecated and will be removed in the future.
    Whether the result of the import should be persisted.. The default value is `false`.

    If `true`, the list of added/updated/removed resources will be stored in the job message.

    If the resulting job message is too long, no resource information will be stored.

  - ### requestSource

    protected String requestSource

- ## Constructor Details

  - ### BaseImportRequest

    protected BaseImportRequest()

- ## Method Details

  - ### isSendNotification

    public boolean isSendNotification()
    Whether job status notification should be sent. The default value is `false`.

  - ### getBatchSize

    public int getBatchSize()
    The size of the batch. The default value is `1000`.

  - ### isSimulation

    public boolean isSimulation()
    Whether the import should be triggered as a simulation. The default value is `false`.

    If `true`, the result of the import simulation will be available at the end of the job but no change will be applied to the DGC.

  - ### isSaveResult

    @Deprecated public boolean isSaveResult()
    Deprecated.
    This parameter is deprecated and will be removed in the future.
    Whether the result of the import should be persisted.. The default value is `false`.

    If `true`, the list of added/updated/removed resources will be stored in the job message.

    If the resulting job message is too long, no resource information will be stored.

  - ### getRequestSource

    public String getRequestSource()

  - ### setSendNotification

    public void setSendNotification(boolean sendNotification)
    Whether job status notification should be sent. The default value is `false`.

  - ### setBatchSize

    public void setBatchSize(int batchSize)
    The size of the batch. The default value is `1000`.

  - ### setSimulation

    public void setSimulation(boolean simulation)
    Whether the import should be triggered as a simulation. The default value is `false`.

    If `true`, the result of the import simulation will be available at the end of the job but no change will be applied to the DGC.

  - ### setSaveResult

    @Deprecated public void setSaveResult(boolean saveResult)
    Deprecated.
    This parameter is deprecated and will be removed in the future.
    Whether the result of the import should be persisted.. The default value is `false`.

    If `true`, the list of added/updated/removed resources will be stored in the job message.

    If the resulting job message is too long, no resource information will be stored.

  - ### setRequestSource

    public void setRequestSource(String requestSource)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`